#include "tests.h"

int
main(int argc, const char **argv)
{
	CRD_UT10XX_t *ut;
	TEST_conf_t conf;
	
	memset(&conf, 0, sizeof(conf));
	
	conf.details = 1;
	
	/*
	conf.gen_order_reduction = 100;
	*/
	
	/*
	conf.gen_order_inverse = 100;
	*/
	
	/*
	conf.gen_multiples_small_ints = 100;
	conf.gen_multiples_powers_of_2 = 500;
	conf.gen_multiples_powers_of_31 = 100;
	*/
	
	/*
	conf.ecdsa_with_sha1 = 100;
	*/
	
	CRD_UT10XX_lib_init();
	CRD_UT10XX_lib_find_devices();
	ut = CRD_UT10XX_get_first();
	TEST_prepare_device(ut, &conf);
	
	TEST_OSSL_gen_order_reduction(ut, &conf);
	TEST_OSSL_gen_order_inverse(ut, &conf);
	TEST_OSSL_gen_multiples(ut, &conf);
	TEST_OSSL_ecdsa(ut, &conf);
	
	CRD_UT10XX_lib_finish();
	
	return (0);
}
